Bug 121221 - [PATCH] www/plone3: fetch fails from behind a firewall
Summary: [PATCH] www/plone3: fetch fails from behind a firewall
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-29 15:50 UTC by Koji Yokota
Modified: 2008-03-25 00:51 UTC (History)
1 user (show)

See Also:


Attachments
plone3-3.0.6.patch (873 bytes, patch)
2008-02-29 15:50 UTC, Koji Yokota
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koji Yokota 2008-02-29 15:50:02 UTC
[DESCRIBE CHANGES]
The download server "https://launchpad.net/...." cannot be accessed with
"fetch" from behind a firewall even if HTTP_PROXY is set, because of the
special arrangement of the server. Using wget (or curl) resolves the
problem.

Port maintainer (nakaji@jp.FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-02-29 15:50:35 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2008-02-29 23:15:28 UTC
State Changed
From-To: feedback->closed

Rejected by maintainer. 

From misfiled PR ports/121220: 

Date: Fri, 29 Feb 2008 23:51:33 +0900 
Comment 3 NAKAJI Hiroyuki 2008-03-19 07:54:54 UTC
I'd like to approve this patch. Can somebody commit it, please?

Thank you, Yokota-san.

>>>>> In <47DFDDF2.2070905@res.otaru-uc.ac.jp> 
>>>>>	Koji Yokota <yokota@res.otaru-uc.ac.jp> wrote:
> NAKAJI Hiroyuki wrote:
> > Right. I reported it to plone ML in Japan.
> > http://ml.plone.jp/mailman/listinfo/plone-users
> >
> > Yokota-san, can you please write the message? I'm ready to approve.

> Nakajisan, I apologize being late. I attached a message. If the
> problem still persists, please use it.
> --- Makefile.orig	2008-02-18 12:09:30.000000000 +0900
> +++ Makefile	2008-03-19 00:17:55.000000000 +0900
> @@ -67,6 +67,12 @@
>  	@${ECHO_MSG} "backup your site before proceeding."
>  	@${ECHO_MSG} "If you haven't done so, please press CTRL-C now."
>  	@${ECHO_MSG} ""
> +	@${ECHO_MSG} "Also, if you are fetching tarball from behind a proxy"
> +	@${ECHO_MSG} "server, you may fail even if environment variables"
> +	@${ECHO_MSG} "http_proxy and https_proxy are set correctly."
> +	@${ECHO_MSG} "If this happens, fetch tarball manually with wget (ftp/wget)"
> +	@${ECHO_MSG} "or curl (ftp/curl)."
> +	@${ECHO_MSG} ""
>  .endif
 
>  do-build:

-- 
NAKAJI Hiroyuki
Comment 4 Wesley Shields freebsd_committer 2008-03-19 15:35:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 5 Wesley Shields freebsd_committer 2008-03-19 15:35:57 UTC
State Changed
From-To: closed->open

Reopen, new patch submitted and approved.
Comment 6 dfilter service freebsd_committer 2008-03-25 00:40:53 UTC
wxs         2008-03-25 00:40:47 UTC

  FreeBSD ports repository

  Modified files:
    www/plone3           Makefile 
  Log:
  Add note about possible problems when fetching from behind a proxy.
  
  PR:             ports/121221
  Submitted by:   Koji Yokota <yokota@res.otaru-uc.ac.jp>
  Approved by:    garga (mentor), maintainer
  
  Revision  Changes    Path
  1.35      +6 -0      ports/www/plone3/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wesley Shields freebsd_committer 2008-03-25 00:51:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!